Subject: Re: [PATCH] revert & cherry-pick: run git gc --auto

From: SZEDER Gábor <[email-masked]>
Date: Thu, 11 Oct 2018 13:24:00 +0200

On Thu, Oct 11, 2018 at 12:34:35PM +0200, Ævar Arnfjörð Bjarmason wrote:
> I see we define NO_POSIX_GOODIES on Windows/MinGW, so those don't
> demonize "gc", but then I'm confused by this which seems to imply the
> opposite: https://github.com/Microsoft/vscode/issues/29901

I don't think it implies that.

The last comment starts with "Code calls git fetch periodically".  I
presume that it does so in the background (to prevent blocking the UI
until 'git fetch' runs), therefore 'git gc --auto' starts already in
the background.  Furthermore, notice that 'git prune' on that
screenshot has two 'git.exe' parents: I think its parent is 'git gc
--auto' and its grandparent is 'git fetch'.  Now, if that 'git gc
--auto' were to go to the background as a result of our daemonize(),
then the grandparent 'git fetch' would have very likely exited
already.